<?php
global $adforest_theme;
if (isset($adforest_theme['sb_enable_user_ratting']) && !$adforest_theme['sb_enable_user_ratting']) {
    return;
}
wp_enqueue_style('star-rating', trailingslashit(get_template_directory_uri()) . 'assests/css/star-rating.css');

$author_id = get_query_var('author');
$author = get_user_by('ID', $author_id);
$user_pic = adforest_get_user_dp($author_id, 'adforest-user-profile');
$contact_num = get_user_meta($author->ID, '_sb_contact', true);
?>
<section class="profile-page">
    <div class="container">
        <div class="row">
            <div class="col-xxl-3 col-xl-3 col-lg-3 col-md-12 col-sm-12 col-12">
                <?php require trailingslashit(get_template_directory()) . 'template-parts/layouts/profile/profile-header.php'; ?>
            </div>
            <div class="col-xxl-9 col-xl-9 col-lg-9 col-md-12 col-sm-12 col-12">  
                <nav>
                    <div class="nav nav-tabs nav-user-review" id="nav-tab" role="tablist">         
                         <button class="nav-link active" id="nav-home-tab" data-bs-toggle="tab" data-bs-target="#nav-home" type="button" role="tab" aria-controls="nav-home" aria-selected="false"><i class="fa fa-pencil" aria-hidden="true"></i> <?php echo esc_html__('Write Review', 'adforest') ?></button>
                        <button class="nav-link" id="nav-profile-tab" data-bs-toggle="tab" data-bs-target="#nav-profile" type="button" role="tab" aria-controls="nav-profile" aria-selected="true"><i class="fa fa-comments"></i> <?php echo esc_html__('Reviews', 'adforest') ?></button>
                       
                    </div>
                </nav>
                <div class="tab-content" id="nav-tabContent">
                    <div class="tab-pane fade  active show" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                        <div class="write-review">
                            <h3><?php echo esc_html__('Write a review', 'adforest'); ?></h3>
                            <form id="user_ratting_form" novalidate>
                                <div class="col-md-12 col-sm-12">
                                    <div class="form-group">
                                        <div dir="ltr">
                                            <input id="input-21b" name="rating" value="1" type="text"  data-show-clear="false" <?php if (is_rtl()) { ?> dir="rtl"<?php } ?>class="rating" data-min="0" data-max="5" data-step="1" data-size="xs" required title="required">
                                        </div>
                                    </div>
                                    <div class="clearfix"></div>
                                </div>
                                <div class="col-md-12 col-sm-12">
                                    <div class="public-link-provider-1">
                                        <div class="form-group">
                                            <label><?php echo __('Comments', 'adforest'); ?><span class="required">*</span></label>
                                            <textarea cols="6" rows="6" class="form-control" id="sb_rate_user_comments" name="sb_rate_user_comments" data-parsley-required="true" data-parsley-error-message="<?php echo __('This field is required.', 'adforest'); ?>"></textarea>
                                            <p><?php echo __('You can not edit it later.', 'adforest'); ?></small></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12 col-sm-12">
                                    <input type="hidden" id="sb-user-rating-token" value="<?php echo wp_create_nonce('sb_user_rating_secure'); ?>" />
                                    <input class="btn btn-theme btn-block" value="<?php echo __('Post Your Comment', 'adforest'); ?>" type="submit">
                                    <input type="hidden" name="author" value="<?php echo esc_attr($author_id); ?>" />
                                </div>
                            </form>

                        </div>

                    </div>
                    <div class="tab-pane fade" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">

                        <?php if (count($ratings) > 0) {
                            ?>                             
                            <?php
                            foreach ($ratings as $rating) {
                                $data = explode('_separator_', $rating->meta_value);
                                $rated = $data[0];
                                $comments = $data[1];
                                $date = $data[2];
                                $reply = '';
                                $reply_date = '';
                                if (isset($data[3])) {
                                    $reply = $data[3];
                                }
                                if (isset($data[4])) {
                                    $reply_date = $data[4];
                                }
                                $_arr = explode('_user_', $rating->meta_key);
                                $rator = $_arr[1];
                                $user = get_user_by('ID', $rator);
                                if( $user ){ 

                                ?>
                                <div class="profile-rating">
                                    <div class="pro-response">
                                        <div class="pro-response-img">
                                            <img src="<?php echo esc_url(adforest_get_user_dp($rator, 'adforest-single-small')); ?>" alt="<?php echo esc_attr($user->display_name); ?>">
                                        </div>
                                        <div class="pro-response-head">
                                            <div class="profile-star-rate">
                                                <ul class="star-listing">
                                                    (<?php echo esc_html($rated) ?>)
                                                    <?php
                                                    for ($i = 1; $i <= 5; $i++) {
                                                        if ($i <= $rated)
                                                            echo '<li><i class="fa fa-star"></i></li>';
                                                        else
                                                            echo '<li><i class="fa fa-star-o"></i></li>';
                                                    }
                                                    ?>
                                                </ul>
                                            </div>
                                            <h3> <a href="<?php echo adforest_set_url_param(get_author_posts_url($rator), 'type', 'ads'); ?>"></a><?php echo esc_attr($user->display_name); ?></h3>
                                            <span><?php echo date_i18n(get_option('date_format'), strtotime($date)); ?></span>
                                            <p><?php echo esc_html($comments); ?></p>
                                            <?php if ($author_id == get_current_user_id() && $reply == "") {
                                                ?>
                                                <div class="pro-reply-comment-heading">
                                                    <a href="javascript:void(0);" data-rator-id="<?php echo esc_attr($rator); ?>" data-rator-name="<?php echo esc_attr($user->display_name); ?>" class="clikc_reply" data-bs-target="#rating_reply_modal" data-bs-toggle="modal">
                                                        <i class="fa fa-commenting"></i> 
                                                        <?php echo __('Reply', 'adforest'); ?>
                                                    </a>
                                                </div>
                                                <?php
                                            }
                                            ?>
                                        </div>
                                    </div>
                              <?php     if ($reply != "") {  
                                                $user = get_user_by('ID', $author_id);
                                                ?>
                                    <div class="pro-reply-comment">
                                        <div class="pro-reply-comment-img">
                                            <img src="<?php echo adforest_get_user_dp($user->ID, 'adforest-single-small'); ?>" alt="<?php echo esc_attr($user->display_name); ?>">
                                        </div>
                                        <div class="pro-reply-comment-head">
                                            <h3><?php echo esc_html($user->display_name); ?></h3>
                                            <p><?php echo esc_html($reply); ?></p>
                                        </div>
                                    </div>
                                      <?php }?>
                                </div>                      
                            
                                <?php
                            }}
                        }
                        
                        else{                            
                      echo '<div class="write-review"><h3> '. esc_html__('There is no review yet','adforest').'</h3></div>';
                           }
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<div id="rating_reply_modal" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header rte">
                <h2 class="modal-title"><?php echo __('Reply to', 'adforest'); ?>&nbsp;<span id="rator_name"></span></h2> 
            </div>
            <form id="sb-reply-rating-form">
                <div class="modal-body">
                    <div class="form-group">
                        <label><?php echo __('Comments', 'adforest'); ?> <span class="required">*</span>
                        </label>
                        <textarea class="form-control" rows="8" cols="6" id="sb_rate_user_comments" name="sb_rate_user_comments" data-parsley-required="true" data-parsley-error-message="<?php echo __('This field is required.', 'adforest'); ?>"></textarea>
                        <div><small><?php echo __('You can not edit it later.', 'adforest'); ?></small></div>
                        <button class="btn btn-theme btn-sm" type="submit">
                            <?php echo __('Post Your Reply', 'adforest'); ?>
                        </button>
                        <input type="hidden" id="rator_reply" name="rator_reply" value="0" />
                        <input type="hidden" id="sb-user-rate-reply-token" value="<?php echo wp_create_nonce('sb_user_rate_reply_secure'); ?>" />
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>












